# Struct category::key_element_type

- Defined in File category.hpp

## Nested Relationships

This struct is a nested type of Class category.

## Struct Documentation

struct key_element_type

  The type of an element of the key_type.

  Public Members

  std::string name

    Name of the item.

  std::string value

    Value to be found.

  bool may_be_null = false

    If true, value should be same or empty.